Subject: Re: [PATCH v3 00/12] serve.[ch]: general API cleanup

From: Josh Steadmon <[email-masked]>
Date: Mon, 2 Aug 2021 14:07:40 -0700

On 2021.07.22 01:40, Ævar Arnfjörð Bjarmason wrote:
> For v2, see:
> https://lore.kernel.org/git/[email-masked]/
> 
> Junio: Sorry about the late update, re:
> http://lore.kernel.org/git/[email-masked]
> 
> I think most people were on the fence about the need for this
> "startup_config" callback in v2. I think we could still do without it,
> but as the new 08/12 shows a big part of the API complexity was due to
> serve() supporting the --advertise-refs mode directly. 08-10/12 is a
> new late-series cleanup of that, which makes serve.[ch] a lot simpler.
> 
> Ævar Arnfjörð Bjarmason (12):
>   serve: mark has_capability() as static
>   transport: rename "fetch" in transport_vtable to "fetch_refs"
>   transport: use designated initializers
>   serve: use designated initializers
>   serve.c: add call_{advertise,command}() indirection
>   serve: add support for a "startup" git_config() callback
>   serve.c: move version line to advertise_capabilities()
>   serve.[ch]: remove "serve_options", split up --advertise-refs code
>   {upload,receive}-pack tests: add --advertise-refs tests
>   upload-pack: document and rename --advertise-refs
>   upload-pack.c: convert to new serve.c "startup" config cb
>   serve.[ch]: don't pass "struct strvec *keys" to commands

Sorry for the delayed response on this series; I've been away from work
for the past several weeks.

I'm in favor of the cleanups in patches 1-4. I'm afraid I am not
familiar enough with the server code to have useful feedback on the rest
of the patches, at least not at first glance.